INSERT INTO Sys_TiposDoc (IdDoc,TipoDoc,ConsUnico,Leyenda,Inactivo,IntegraCias)
 VALUES ('EIN','ENTRADA INICIAL DE INVENTARIO',0,'',0,0)
INSERT INTO Sys_TiposDoc (IdDoc,TipoDoc,ConsUnico,Leyenda,Inactivo,IntegraCias)
 VALUES ('DVI','DEVOLUCION DE ENTRADA INICIAL',0,'',0,0)
INSERT INTO Sys_TiposDoc (IdDoc,TipoDoc,ConsUnico,Leyenda,Inactivo,IntegraCias)
 VALUES ('GDE','GUÍA DE TRANSPORTE DE COMBUSTIBLE',0,'',0,0)
INSERT INTO Sys_TiposDoc (IdDoc,TipoDoc,ConsUnico,Leyenda,Inactivo,IntegraCias)
 VALUES ('AFC','AJUSTE FALTANTE COMBUSTIBLE',0,'',0,0)
INSERT INTO Sys_TiposDoc (IdDoc,TipoDoc,ConsUnico,Leyenda,Inactivo,IntegraCias)
 VALUES ('ASC','AJUSTES SOBRANTE COMBUSTIBLE',0,'',0,0)
INSERT INTO Sys_TiposDoc (IdDoc,TipoDoc,ConsUnico,Leyenda,Inactivo,IntegraCias)
 VALUES ('NPC','NOTA PRODUCCION COMBUSTIBLE',0,'',0,0)
GO
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
VALUES ('EIN',2,'COSTOS','C')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
VALUES ('EIN',1,'INVENTARIOS','D')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
VALUES ('DVI',1,'INVENTARIOS','C')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
VALUES ('DVI',2,'COSTO','D')
GO
INSERT INTO TiposProd (TipoProd)
VALUES ('CRUDO_MP')
INSERT INTO TiposProd (TipoProd)
VALUES ('CRUDO_COM')
INSERT INTO TiposProd (TipoProd)
VALUES ('TERMINADO')
INSERT INTO TiposProd (TipoProd)
VALUES ('CONSUMO')
GO
--< parece que esta linea ya estaba incluida en el script del 18 de Agosto
ALTER TABLE Trn_OilMediciones ADD VolPT DECIMAL(16,6) DEFAULT(0) NOT NULL,VolMP DECIMAL(16,6) DEFAULT(0) NOT NULL
-- >
GO
ALTER TABLE Trn_OilMediciones ADD NumNota INT DEFAULT(0) NOT NULL,FecProcAnt SMALLDATETIME,NumHoras DECIMAL(14,4) DEFAULT(0) NOT NULL
GO
ALTER TABLE Trn_OilMedicionesTq ADD TempLab DECIMAL(16,6) DEFAULT(0) NOT NULL,VolMedido DECIMAL(16,6) DEFAULT(0) NOT NULL,VolNeto DECIMAL(16,6) DEFAULT(0) NOT NULL
,Vol_Anterior DECIMAL(16,6) DEFAULT(0) NOT NULL,CantEntradas DECIMAL(16,6) DEFAULT(0) NOT NULL,CantSalidas DECIMAL(16,6) DEFAULT(0) NOT NULL
,TipoProd VARCHAR(10),Descripcion VARCHAR(500)
GO
CREATE TABLE Trn_OilSaldos ( 
IdProducto VARCHAR(16) NOT NULL,
IdTanque VARCHAR(4) NOT NULL,
IdCia CHAR(2) NOT NULL,
Periodo INT DEFAULT ((0)) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndMed VARCHAR(10) NOT NULL,
Volumen DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UMvol VARCHAR(10) NOT NULL
 CONSTRAINT PK_Trn_OilSaldos PRIMARY KEY CLUSTERED (IdProducto,IdTanque,IdCia,Periodo),
 CONSTRAINT CK_Trn_OilSaldosIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_OilSaldosIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_Trn_OilSaldosIdTanque CHECK ((len([IdTanque])>(0))),
 CONSTRAINT CK_Trn_OilSaldosUMvol CHECK ((len([UMvol])>(0))),
 CONSTRAINT CK_Trn_OilSaldosUndMed CHECK ((len([UndMed])>(0))))
GO
CREATE TABLE Trn_OilInvent ( 
TipEnt VARCHAR(3) DEFAULT ('EIN') NOT NULL,
NumEntrada INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
Modalidad VARCHAR(10) NOT NULL,
IdProveedor VARCHAR(16) NOT NULL,
NumFactura VARCHAR(15),
FechaFac SMALLDATETIME NOT NULL,
FechaVence SMALLDATETIME NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
ValorTotal DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CtaPagar BIT DEFAULT ((0)) NOT NULL,
EstContable INT DEFAULT ((0)) NOT NULL,
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
Anulado BIT DEFAULT ((0)) NOT NULL,
FecDev SMALLDATETIME,
NumDev INT DEFAULT ((0)) NOT NULL,
Observacion VARCHAR(2000),
IdEstado VARCHAR(4) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
OrigenAdd VARCHAR(10) NOT NULL,
IdUsuario VARCHAR(11) NOT NULL
 CONSTRAINT PK_Trn_OilInvent PRIMARY KEY CLUSTERED (TipEnt,NumEntrada,IdCia),
 CONSTRAINT CK_Trn_OilInventIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_OilInventIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_OilInventIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_OilInventIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_OilInventIdEstado CHECK ((len([IdEstado])>(0))),
 CONSTRAINT CK_Trn_OilInventIdProveedor CHECK ((len([IdProveedor])>(0))),
 CONSTRAINT CK_Trn_OilInventIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_OilInventModalidad CHECK ((len([Modalidad])>(0))),
 CONSTRAINT CK_Trn_OilInventOrigenAdd CHECK ((len([OrigenAdd])>(0))),
 CONSTRAINT CK_Trn_OilInventTipEnt CHECK ((len([TipEnt])>(0))))
CREATE TABLE Trn_OilInventDev ( 
TipDev VARCHAR(3) DEFAULT ('DVI') NOT NULL,
Devolucion INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
TipEnt VARCHAR(3) NOT NULL,
NumEntrada INT DEFAULT ((0)) NOT NULL,
IdCiaDoc CHAR(2) NOT NULL,
FecDoc SMALLDATETIME NOT NULL,
IdProveedor VARCHAR(16) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
ValorTotal DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CtaPagar BIT DEFAULT ((0)) NOT NULL,
TipCom VARCHAR(3),
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
ModdDev VARCHAR(10) NOT NULL,
Observacion VARCHAR(2000),
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
OrigenAdd VARCHAR(10) NOT NULL,
IdUsuario VARCHAR(11) NOT NULL
 CONSTRAINT PK_Trn_OilInventDev PRIMARY KEY CLUSTERED (TipDev,Devolucion,IdCia),
 CONSTRAINT CK_Trn_OilInventDevIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_OilInventDevIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_OilInventDevIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_OilInventDevIdCiaDoc CHECK ((len([IdCiaDoc])>(0))),
 CONSTRAINT CK_Trn_OilInventDevIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_OilInventDevIdProveedor CHECK ((len([IdProveedor])>(0))),
 CONSTRAINT CK_Trn_OilInventDevIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_OilInventDevModdDev CHECK ((len([ModdDev])>(0))),
 CONSTRAINT CK_Trn_OilInventDevOrigenAdd CHECK ((len([OrigenAdd])>(0))),
 CONSTRAINT CK_Trn_OilInventDevTipDev CHECK ((len([TipDev])>(0))),
 CONSTRAINT CK_Trn_OilInventDevTipEnt CHECK ((len([TipEnt])>(0))))
CREATE TABLE Trn_OilInventDevp ( 
TipDev VARCHAR(3) NOT NULL,
Devolucion INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdTanque VARCHAR(4) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndMed VARCHAR(10) DEFAULT ('br') NOT NULL,
VrUnitario DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TipoProd VARCHAR(10),
Descripcion VARCHAR(500),
IdEstacion VARCHAR(4)
 CONSTRAINT PK_Trn_OilInventDevp PRIMARY KEY CLUSTERED (TipDev,Devolucion,IdCia,Item),
 CONSTRAINT CK_Trn_OilInventDevpIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_OilInventDevpIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_Trn_OilInventDevpIdTanque CHECK ((len([IdTanque])>(0))),
 CONSTRAINT CK_Trn_OilInventDevpTipDev CHECK ((len([TipDev])>(0))),
 CONSTRAINT CK_Trn_OilInventDevpUndMed CHECK ((len([UndMed])>(0))))
CREATE TABLE Trn_OilInventProd ( 
TipEnt VARCHAR(3) NOT NULL,
NumEntrada INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdTanque VARCHAR(4) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndMed VARCHAR(10) DEFAULT ('br') NOT NULL,
VrUnitario DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TipoProd VARCHAR(10),
Descripcion VARCHAR(500),
IdEstacion VARCHAR(4)
 CONSTRAINT PK_Trn_OilInventProd PRIMARY KEY CLUSTERED (TipEnt,NumEntrada,IdCia,Item),
 CONSTRAINT CK_Trn_OilInventProdIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_OilInventProdIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_Trn_OilInventProdIdTanque CHECK ((len([IdTanque])>(0))),
 CONSTRAINT CK_Trn_OilInventProdTipEnt CHECK ((len([TipEnt])>(0))),
 CONSTRAINT CK_Trn_OilInventProdUndMed CHECK ((len([UndMed])>(0))))

CREATE TABLE Trn_OilAjustes ( 
TipDoc VARCHAR(3) NOT NULL,
NumProceso INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
FecProceso SMALLDATETIME NOT NULL,
TipOrden VARCHAR(3) NOT NULL,
NumOrden INT DEFAULT ((0)) NOT NULL,
IdCiaOrden CHAR(2) NOT NULL,
TipoProceso VARCHAR(10) NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
IdTercero VARCHAR(16) NOT NULL,
CantEntradas DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CantSalidas DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CostoEnt DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CostoSal DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
Anulado BIT DEFAULT ((0)) NOT NULL,
NumDev INT DEFAULT ((0)) NOT NULL,
FecDev SMALLDATETIME,
Observacion VARCHAR(2000),
IdEstado VARCHAR(4) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
OrigenAdd VARCHAR(10) NOT NULL,
IdUsuario VARCHAR(11) NOT NULL
 CONSTRAINT PK_Trn_OilAjustes PRIMARY KEY CLUSTERED (TipDoc,NumProceso,IdCia),
 CONSTRAINT CK_Trn_OilAjustesIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_OilAjustesIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_OilAjustesIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_OilAjustesIdCiaOrden CHECK ((len([IdCiaOrden])>(0))),
 CONSTRAINT CK_Trn_OilAjustesIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_OilAjustesIdEstado CHECK ((len([IdEstado])>(0))),
 CONSTRAINT CK_Trn_OilAjustesIdTercero CHECK ((len([IdTercero])>(0))),
 CONSTRAINT CK_Trn_OilAjustesIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_OilAjustesOrigenAdd CHECK ((len([OrigenAdd])>(0))),
 CONSTRAINT CK_Trn_OilAjustesTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_OilAjustesTipoProceso CHECK ((len([TipoProceso])>(0))),
 CONSTRAINT CK_Trn_OilAjustesTipOrden CHECK ((len([TipOrden])>(0))))
CREATE TABLE Trn_OilAjustesProd ( 
TipDoc VARCHAR(3) NOT NULL,
NumProceso INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
IdTanque VARCHAR(4) NOT NULL,
Entradas DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Salidas DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndMed VARCHAR(10) DEFAULT ('br') NOT NULL,
VrUnitario DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TipoProd VARCHAR(10),
Descripcion VARCHAR(500)
 CONSTRAINT PK_Trn_OilAjustesProd PRIMARY KEY CLUSTERED (TipDoc,NumProceso,IdCia,Item),
 CONSTRAINT CK_Trn_OilAjustesProdIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_OilAjustesProdIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_Trn_OilAjustesProdIdTanque CHECK ((len([IdTanque])>(0))),
 CONSTRAINT CK_Trn_OilAjustesProdTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_OilAjustesProdUndMed CHECK ((len([UndMed])>(0))))

CREATE TABLE Trn_OilDespClie ( 
TipDoc VARCHAR(3) NOT NULL,
NumGuia INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
FecCargue SMALLDATETIME NOT NULL,
FecDespacho SMALLDATETIME NOT NULL,
FecDescargue SMALLDATETIME,
HorasVig DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
IdCliente VARCHAR(16) NOT NULL,
IdAgencia VARCHAR(16) DEFAULT ('0') NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
IdConductor VARCHAR(16) NOT NULL,
NitEmpTrans VARCHAR(16),
NomEmpTrans VARCHAR(150),
Remolque VARCHAR(10),
IdEstacion VARCHAR(4) NOT NULL,
IdLocOrigen VARCHAR(8) NOT NULL,
IdLocDestino VARCHAR(8) NOT NULL,
LugarOrigen VARCHAR(150),
DirDestino VARCHAR(250) NOT NULL,
NomContacto VARCHAR(150),
TelContacto VARCHAR(30),
emlContacto VARCHAR(100),
Modalidad VARCHAR(10) NOT NULL,
Referencia VARCHAR(50),
NumRemision VARCHAR(20),
DetSellos VARCHAR(500),
CodSicom VARCHAR(20),
ZonaFrontera INT DEFAULT ((0)) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
SubTotal DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrIva DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrTransporte DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TipOrden VARCHAR(3),
NumOrden INT DEFAULT ((0)) NOT NULL,
IdCiaOrden CHAR(2),
EstFactura INT DEFAULT ((0)) NOT NULL,
TipFac VARCHAR(3) DEFAULT ('0') NOT NULL,
Factura INT DEFAULT ((0)) NOT NULL,
IdCiaFac CHAR(2) DEFAULT ('01') NOT NULL,
FechaFact SMALLDATETIME,
Anulado BIT DEFAULT ((0)) NOT NULL,
FecDev SMALLDATETIME,
Observacion VARCHAR(2000),
IdEstado VARCHAR(4) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
OrigenAdd VARCHAR(10) NOT NULL,
IdUsuario VARCHAR(11) NOT NULL
 CONSTRAINT PK_Trn_OilDespClie PRIMARY KEY CLUSTERED (TipDoc,NumGuia,IdCia),
 CONSTRAINT CK_Trn_OilDespClieDirDestino CHECK ((len([DirDestino])>(0))),
 CONSTRAINT CK_Trn_OilDespClieIdAgencia CHECK ((len([IdAgencia])>(0))),
 CONSTRAINT CK_Trn_OilDespClieIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_OilDespClieIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_OilDespClieIdCiaFac CHECK ((len([IdCiaFac])>(0))),
 CONSTRAINT CK_Trn_OilDespClieIdCliente CHECK ((len([IdCliente])>(0))),
 CONSTRAINT CK_Trn_OilDespClieIdConductor CHECK ((len([IdConductor])>(0))),
 CONSTRAINT CK_Trn_OilDespClieIdEstacion CHECK ((len([IdEstacion])>(0))),
 CONSTRAINT CK_Trn_OilDespClieIdEstado CHECK ((len([IdEstado])>(0))),
 CONSTRAINT CK_Trn_OilDespClieIdLocDestino CHECK ((len([IdLocDestino])>(0))),
 CONSTRAINT CK_Trn_OilDespClieIdLocOrigen CHECK ((len([IdLocOrigen])>(0))),
 CONSTRAINT CK_Trn_OilDespClieIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_OilDespClieIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_Trn_OilDespClieModalidad CHECK ((len([Modalidad])>(0))),
 CONSTRAINT CK_Trn_OilDespClieOrigenAdd CHECK ((len([OrigenAdd])>(0))),
 CONSTRAINT CK_Trn_OilDespClieTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_OilDespClieTipFac CHECK ((len([TipFac])>(0))))
CREATE TABLE Trn_OilDespClieProd ( 
TipDoc VARCHAR(3) NOT NULL,
NumGuia INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdTanque VARCHAR(4) NOT NULL,
TipoProd VARCHAR(10) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
Descripcion VARCHAR(1000) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndMed VARCHAR(10) DEFAULT ('br') NOT NULL,
Temperatura DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TempLab DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UnidTemp CHAR(1),
ValorAPI DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
API_Corregido DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Densidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
ValorVCW DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
FactorTemp DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrUnitario DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
FleteUnd DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaIva DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrIva DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CodTarIva VARCHAR(4),
CodSicomPro VARCHAR(20)
 CONSTRAINT PK_Trn_OilDespClieProd PRIMARY KEY CLUSTERED (TipDoc,NumGuia,IdCia,Item),
 CONSTRAINT CK_Trn_OilDespClieProdDescripcion CHECK ((len([Descripcion])>(0))),
 CONSTRAINT CK_Trn_OilDespClieProdIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_OilDespClieProdIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_Trn_OilDespClieProdIdTanque CHECK ((len([IdTanque])>(0))),
 CONSTRAINT CK_Trn_OilDespClieProdTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_OilDespClieProdTipoProd CHECK ((len([TipoProd])>(0))),
 CONSTRAINT CK_Trn_OilDespClieProdUndMed CHECK ((len([UndMed])>(0))))
GO

ALTER TABLE Trn_OilSaldos ADD 
 CONSTRAINT FK_Trn_OilSaldos_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_OilSaldos_ProdMcias FOREIGN KEY (IdProducto) REFERENCES [dbo].[ProdMcias] (IdProducto),
 CONSTRAINT FK_Trn_OilSaldos_Sys_Um FOREIGN KEY (UndMed) REFERENCES [dbo].[Sys_Um] (UndMed),
 CONSTRAINT FK_Trn_OilSaldos_Tanques FOREIGN KEY (IdTanque) REFERENCES [dbo].[Tanques] (IdTanque)

ALTER TABLE Trn_OilInvent ADD 
 CONSTRAINT FK_Trn_OilInvent_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_OilInvent_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_OilInvent_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_OilInvent_Conceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[Conceptos] (IdConcepto),
 CONSTRAINT FK_Trn_OilInvent_EstadoDoc FOREIGN KEY (IdEstado) REFERENCES [dbo].[EstadoDoc] (IdEstado),
 CONSTRAINT FK_Trn_OilInvent_Sys_TiposDoc FOREIGN KEY (TipEnt) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_OilInvent_Terceros FOREIGN KEY (IdProveedor) REFERENCES [dbo].[Terceros] (IdTercero)

 CREATE NONCLUSTERED INDEX IX_Trn_OilInventFecha ON Trn_OilInvent(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_OilInventIdProveedor ON Trn_OilInvent(IdProveedor)

ALTER TABLE Trn_OilInventDev ADD 
 CONSTRAINT FK_Trn_OilInventDev_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_OilInventDev_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_OilInventDev_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_OilInventDev_Conceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[Conceptos] (IdConcepto),
 CONSTRAINT FK_Trn_OilInventDev_Sys_TiposDoc FOREIGN KEY (TipDev) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_OilInventDev_Terceros FOREIGN KEY (IdProveedor) REFERENCES [dbo].[Terceros] (IdTercero),
 CONSTRAINT FK_Trn_OilInventDev_Trn_OilInvent FOREIGN KEY (TipEnt,NumEntrada,IdCiaDoc) REFERENCES [dbo].[Trn_OilInvent] (TipEnt,NumEntrada,IdCia)

 CREATE NONCLUSTERED INDEX IX_Trn_OilInventDevFecha ON Trn_OilInventDev(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_OilInventDevNumEntrada ON Trn_OilInventDev(TipEnt,NumEntrada,IdCiaDoc)

ALTER TABLE Trn_OilInventDevp ADD 
 CONSTRAINT FK_Trn_OilInventDevp_ProdMcias FOREIGN KEY (IdProducto) REFERENCES [dbo].[ProdMcias] (IdProducto),
 CONSTRAINT FK_Trn_OilInventDevp_Sys_Um FOREIGN KEY (UndMed) REFERENCES [dbo].[Sys_Um] (UndMed),
 CONSTRAINT FK_Trn_OilInventDevp_Tanques FOREIGN KEY (IdTanque) REFERENCES [dbo].[Tanques] (IdTanque),
 CONSTRAINT FK_Trn_OilInventDevp_Trn_OilInventDev FOREIGN KEY (TipDev,Devolucion,IdCia) REFERENCES [dbo].[Trn_OilInventDev] (TipDev,Devolucion,IdCia)

ALTER TABLE Trn_OilInventProd ADD 
 CONSTRAINT FK_Trn_OilInventProd_ProdMcias FOREIGN KEY (IdProducto) REFERENCES [dbo].[ProdMcias] (IdProducto),
 CONSTRAINT FK_Trn_OilInventProd_Sys_Um FOREIGN KEY (UndMed) REFERENCES [dbo].[Sys_Um] (UndMed),
 CONSTRAINT FK_Trn_OilInventProd_Tanques FOREIGN KEY (IdTanque) REFERENCES [dbo].[Tanques] (IdTanque),
 CONSTRAINT FK_Trn_OilInventProd_Trn_OilInvent FOREIGN KEY (TipEnt,NumEntrada,IdCia) REFERENCES [dbo].[Trn_OilInvent] (TipEnt,NumEntrada,IdCia)

 CREATE NONCLUSTERED INDEX IX_Trn_OilInventProdIdProducto ON Trn_OilInventProd(IdProducto)

ALTER TABLE Trn_OilAjustes ADD 
 CONSTRAINT FK_Trn_OilAjustes_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_OilAjustes_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_OilAjustes_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_OilAjustes_Conceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[Conceptos] (IdConcepto),
 CONSTRAINT FK_Trn_OilAjustes_EstadoDoc FOREIGN KEY (IdEstado) REFERENCES [dbo].[EstadoDoc] (IdEstado),
 CONSTRAINT FK_Trn_OilAjustes_Sys_TiposDoc FOREIGN KEY (TipDoc) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_OilAjustes_Terceros FOREIGN KEY (IdTercero) REFERENCES [dbo].[Terceros] (IdTercero)

 CREATE NONCLUSTERED INDEX IX_Trn_OilAjustesFecha ON Trn_OilAjustes(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_OilAjustesNumOrden ON Trn_OilAjustes(TipOrden,NumOrden,IdCiaOrden)
 CREATE NONCLUSTERED INDEX IX_Trn_OilAjustesFecProceso ON Trn_OilAjustes(FecProceso)

ALTER TABLE Trn_OilAjustesProd ADD 
 CONSTRAINT FK_Trn_OilAjustesProd_ProdMcias FOREIGN KEY (IdProducto) REFERENCES [dbo].[ProdMcias] (IdProducto),
 CONSTRAINT FK_Trn_OilAjustesProd_Sys_Um FOREIGN KEY (UndMed) REFERENCES [dbo].[Sys_Um] (UndMed),
 CONSTRAINT FK_Trn_OilAjustesProd_Tanques FOREIGN KEY (IdTanque) REFERENCES [dbo].[Tanques] (IdTanque),
 CONSTRAINT FK_Trn_OilAjustesProd_Trn_OilAjustes FOREIGN KEY (TipDoc,NumProceso,IdCia) REFERENCES [dbo].[Trn_OilAjustes] (TipDoc,NumProceso,IdCia)

ALTER TABLE Trn_OilDespClie ADD 
 CONSTRAINT FK_Trn_OilDespClie_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_OilDespClie_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_OilDespClie_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_OilDespClie_EstadoDoc FOREIGN KEY (IdEstado) REFERENCES [dbo].[EstadoDoc] (IdEstado),
 CONSTRAINT FK_Trn_OilDespClie_Localidades FOREIGN KEY (IdLocOrigen) REFERENCES [dbo].[Localidades] (IdLocal),
 CONSTRAINT FK_Trn_OilDespClie_Localidades1 FOREIGN KEY (IdLocDestino) REFERENCES [dbo].[Localidades] (IdLocal),
 CONSTRAINT FK_Trn_OilDespClie_Sys_TiposDoc FOREIGN KEY (TipDoc) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_OilDespClie_Terceros FOREIGN KEY (IdCliente) REFERENCES [dbo].[Terceros] (IdTercero),
 CONSTRAINT FK_Trn_OilDespClie_Terceros1 FOREIGN KEY (IdConductor) REFERENCES [dbo].[Terceros] (IdTercero)

 CREATE NONCLUSTERED INDEX IX_Trn_OilDespClieFecha ON Trn_OilDespClie(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_OilDespClieFecDespacho ON Trn_OilDespClie(FecDespacho)
 CREATE NONCLUSTERED INDEX IX_Trn_OilDespClieIdCliente ON Trn_OilDespClie(IdCliente)
 CREATE NONCLUSTERED INDEX IX_Trn_OilDespClieIdConductor ON Trn_OilDespClie(IdConductor)

ALTER TABLE Trn_OilDespClieProd ADD 
 CONSTRAINT FK_Trn_OilDespClieProd_ProdMcias FOREIGN KEY (IdProducto) REFERENCES [dbo].[ProdMcias] (IdProducto),
 CONSTRAINT FK_Trn_OilDespClieProd_Sys_Um FOREIGN KEY (UndMed) REFERENCES [dbo].[Sys_Um] (UndMed),
 CONSTRAINT FK_Trn_OilDespClieProd_Tanques FOREIGN KEY (IdTanque) REFERENCES [dbo].[Tanques] (IdTanque),
 CONSTRAINT FK_Trn_OilDespClieProd_Trn_OilDespClie FOREIGN KEY (TipDoc,NumGuia,IdCia) REFERENCES [dbo].[Trn_OilDespClie] (TipDoc,NumGuia,IdCia)

 CREATE NONCLUSTERED INDEX IX_Trn_OilDespClieProdIdProducto ON Trn_OilDespClieProd(IdProducto)

